io.undertow.server.protocol.framed

## Class SendFrameHeader

- java.lang.Object
- - io.undertow.server.protocol.framed.SendFrameHeader

    public class SendFrameHeader
    extends Object

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`SendFrameHeader(int reminingInBuffer, PooledByteBuffer byteBuffer)`
`SendFrameHeader(int reminingInBuffer, PooledByteBuffer byteBuffer, boolean anotherFrameRequired)`
`SendFrameHeader(int reminingInBuffer, PooledByteBuffer byteBuffer, boolean anotherFrameRequired, ByteBuffer trailer)`
`SendFrameHeader(PooledByteBuffer byteBuffer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PooledByteBuffer` `getByteBuffer()`
`int` `getRemainingInBuffer()`
`ByteBuffer` `getTrailer()`
`boolean` `isAnotherFrameRequired()` Returns true if another frame is required after this one.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendFrameHeader

    public SendFrameHeader(int reminingInBuffer,
                           PooledByteBuffer byteBuffer,
                           boolean anotherFrameRequired)

#### SendFrameHeader

    public SendFrameHeader(int reminingInBuffer,
                           PooledByteBuffer byteBuffer,
                           boolean anotherFrameRequired,
                           ByteBuffer trailer)

#### SendFrameHeader

    public SendFrameHeader(int reminingInBuffer,
                           PooledByteBuffer byteBuffer)

#### SendFrameHeader

    public SendFrameHeader(PooledByteBuffer byteBuffer)

### Method Detail

#### getByteBuffer

    public PooledByteBuffer getByteBuffer()

Returns:
  The header byte buffer

#### getTrailer

    public ByteBuffer getTrailer()

#### getRemainingInBuffer

    public int getRemainingInBuffer()

Returns:

#### isAnotherFrameRequired

    public boolean isAnotherFrameRequired()

Returns true if another frame is required after this one. Note that returning false does not mean that this is the last frame. This is used for protocols that require a trailing packet after all data has been written.